- Qt 6.8
- Qt Location
- QML Types
- ratings
- Qt 6.8.0 Reference Documentation

# ratings QML Value Type

The ratings type holds place rating information. More...

Import Statement: | `import QtLocation 6.8`
Since: | QtLocation 6.5

## Properties

- average : real
- count : int
- maximum : real

## Detailed Description

Rating information is used to describe how good a place is conceived to be. Typically this information is visualized as a number of stars. The average property gives an aggregated ratings value out of a possible maximum as given by the ratings::maximum property.

## Property Documentation

average : real

This property holds the average of the individual ratings.

See also maximum.

count : int

This property holds the total number of individual user ratings used in determining the overall ratings average.

maximum : real

This property holds the maximum rating value.